﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.86
@EndOfDesignText@
Sub Class_Globals
	
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private pMP As B4XMainPage 'this is by itself not enough to get variables from B4XMainPage!
	
	Private pnlTouch1 As B4XView
	Private pnlMenu1 As B4XView
	Private lblMenuGroup1 As B4XView
	'Private btn8, btn9, btn10, btn11, btn12, btn13, btn14 As B4XView
	Private arrMenuButtons() As B4XView
	Private B4XPage2 As Page2

End Sub

'You can add more parameters here.
Public Sub Initialize
	B4XPage2.Initialize
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	
	Dim i As Int
	
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("2")
	
	'note that data in this array starts at the row with index General.eMenuButtonType.Appointments
	'this is to keep it in line with the array holding all the menu parameters (as provided by the .csv file), pMP.arrMenu
	'---------------------------------------------------------------------------------------------------------------------
	arrMenuButtons = General.GetMenuButtons(pnlMenu1, General.eMenuButtonType.Appointments)
	
	'this is needed! Otherwise we get errors such as: java.lang.reflect.InvocationTargetException
	'--------------------------------------------------------------------------------------------
	pMP = B4XPages.GetPage("MainPage")
	
	For i = General.eMenuButtonType.Appointments To General.eMenuButtonType.Registration_History 'overflow button has no bitmap
		arrMenuButtons(i).SetBitmap(pMP.arrMenu(i).bmpIconBitMap1)
	Next
	
End Sub

Sub btnMenu_Click
	
	Dim i As Int
	Dim e As B4XView = Sender
	Dim iButtonTag As Int = e.Tag
	
	'ignore items that have no corresponding app panel as for example pnlBP, so ignore overflow buttons
	If pMP.arrMenu(iButtonTag).iPanelID <> -1 Then
		For i = General.eMenuButtonType.Appointments To General.eMenuButtonType.Registration_History '8 to 13
			'Log("|" & cMenu.arrMenu(i).strTitle1 & "|")
			If i = iButtonTag Then
				'clicked button
				If pMP.arrMenu(i).bHighlighted = False Then
					pMP.arrMenu(i).bHighlighted = True
					arrMenuButtons(i).SetBitmap(pMP.arrMenu(i).bmpIconBitMap1HL)
				End If
			Else
				If pMP.arrMenu(i).bHighlighted Then
					pMP.arrMenu(i).bHighlighted = False
					arrMenuButtons(i).SetBitmap(pMP.arrMenu(i).bmpIconBitMap1)
				End If
			End If
		Next
		lblMenuGroup1.Text = pMP.arrMenu(iButtonTag).strTitle1
	End If
	
	Select Case iButtonTag
		Case 8
			
		Case 9
			
	End Select
	
End Sub

Sub pnlTouch1_Touch(Action As Int, X As Float, Y As Float)
	
	If Action = 1 Then
		If x / pnlTouch1.Width > 0.5 Then
			B4XPages.ShowPage("Page2")
		Else
			B4XPages.ShowPage("MainPage")
		End If
	End If
	
End Sub

